org.apache.avro.compiler.specific

## Class SchemaTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.avro.compiler.specific.ProtocolTask
      - - org.apache.avro.compiler.specific.SchemaTask

All Implemented Interfaces:
  Cloneable

    public class SchemaTask
    extends ProtocolTask

Ant task to generate Java interface and classes for a protocol.

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`SchemaTask()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `doCompile(File src, File dest)`
`static void` `main(String[] args)`

### Methods inherited from class org.apache.avro.compiler.specific.ProtocolTask

`addFileset, execute, getStringType, setDestdir, setFile, setStringType`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchemaTask

    public SchemaTask()

### Method Detail

#### doCompile

    protected void doCompile(File src,
                             File dest)
                      throws IOException

Overrides:
  `doCompile` in class `ProtocolTask`
Throws:
  `IOException`

#### main

    public static void main(String[] args)
                     throws IOException

Throws:
  `IOException`